<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:50:15Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified w/ DataPRO v. 4.0.893, 4.1.237
 
Attaching the mdf file and ldf files into my db and running DataPRO
 
Pre-patch no test setups
 
 
Post Patch</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-03-15T23:52:48Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-03-02T19:59:01Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-02T18:41:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-03-02T18:41:03Z</TimeStamp>
    <ReleaseNote>Fixes an issue where test setups would not load when there was an issue with a test setup</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-02T18:40:41Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.1@48359
 
 
to test it's sufficient to open the test setups tab before and after patches.  Before patch it will show no test setups, after patch it will show multiple test setups and will show the error above.  Additionally monkeying around with test setup parameters using SQL would be acceptable to test as well.  Additionally additionally, any LTS behavior should be unchanged between database and application versions WRT clock sync profile and 1pps.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-03-02T18:35:38Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>this relates to an issue from Zendesk where someone using a bleeding edge version of 4.0 found themselves unable to create test setups (test setup already exists) and not able to see any test setups.
 
 
 
Looking at the database in question it tracks down to a clock sync profile setting, this issue doesn't fix that issue, I created a separate issue for that (probably 30350 or 30348), this issue just addresses not loading the rest of the test setups when there's an error loading a single test setup.  Prior to the patch with the db attached to the issue you'll see no test setups on startup and no indication of an issue.  After the issue you'll get all the test setups but the test with the issue and will be notified that there was an issue although the rest of the notification isn't great, maybe adding in the test name when it's available would help;</Comment>
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-03-01T18:42:59Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-01T15:58:29Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-03-01T15:55:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>see attached</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-03-01T15:55:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>